Ticket #41432

スコアサーバ移設

Open Date: 2021-02-02 23:48 Last Update: 2021-02-08 06:57

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
8
Severity:
8
Resolution:
Fixed
File:
None

Details

OSDNのWebスペースの改悪により、スコアサーバへの投稿が投稿内容によって失敗するようになった。

詳しい条件は不明だが、POSTするファイルのサイズや内容によってWebサーバで破棄してしまうらしく、該当するスコアはPHP側でPOSTデータを受け取った時にデータが空になっている。 OSDNのWebスペースでのスコアサーバ継続は困難と判断し、スコアサーバを別のWebサイトへ移設する。

移設先はdis-氏の好意により、現在変愚蛮怒・攻略スポイラーWikiが設置されているWebサーバを使うことになった。

移設に際して必要な作業は、以下の通り

  • Webリポジトリのscore/以下を移設先Webサイトに設置し、必要なアプリケーションや依存ライブラリなどのインストールを行う。またパーミッションを適切に設定する。
  • 変愚蛮怒のソースのreport.cのスコア送信先を移設先のものに切り替える。
  • 公式サイトのスコアのページのリンクを、移設先WebサイトのURLにする。
  • 新着スコアtweet用のOAUTHキーなどが入ったコンフィグファイルを設置する。

他に考慮すべきこと:

  • どのタイミングで移設するか→サーバ側の準備はできているので次のαリリースにでも?
  • 残念ながら、既存の変愚蛮怒のスコア送信機能はリダイレクトに対応してないので、スコア送信先をリダイレクトで切り替えることはできない。今実装中のlibcurl対応版では、リダイレクトにも対応する。
  • なので、2.2.1rのスコア送信先を移設先に変えたものをリリースしたほうがいい?

Ticket History (3/9 Histories)

2021-02-02 23:48 Updated by: habu
  • New Ticket "スコアサーバ移設" created
2021-02-03 07:22 Updated by: deskull
Comment

このまま行けそうでしたらAlpha5での変更を念頭に入れていいと思います。ひとまずマイルストーンをそう指定します。

2021-02-03 19:56 Updated by: dis-
Comment

サーバー側の準備が完了しました。残りの作業は以下。

- 変愚蛮怒のソースのreport.cのスコア送信先を移設先のものに切り替える。

- 公式サイトのスコアのページのリンクを、移設先WebサイトのURLにする。

- (余力があれば) 2.2.1rのスコア送信先を移設先に変えたものをリリース

(Edited, 2021-02-03 19:56 Updated by: dis-)
2021-02-07 01:06 Updated by: habu
Comment

Alpha5のリリースと同時にmarsへの移設を予定します。

  • リリースと同時なので、OSDNからのリダイレクトは行わず、Alpha5でreport.cの送信先をmarsに変えたものをリリースする。
  • バージョン2.2.1rについて、現在のリリースファイルの中身のHengband.exeだけスコア送信先をmarsにしてコンパイルしたバイナリに差し替えたものをリリースする。

また、OSDNで前日のスコア一覧をツイートするcrontabはコメントアウトしておきました。

2021-02-07 01:40 Updated by: habu
Comment

移設手順まとめ 括弧内に作業担当者・敬称略

準備

  1. テスト用サーバでWindows・Linuxからのスコア送信の最終チェック(habu)
  2. 2.2.1rをテスト用サーバでチェック (habu)
  3. report.cをmarsの本番サーバに変えたブランチをcommit (habu)
  4. ブランチをマージ (Deskull)
  5. marsの本番サーバに送信するようにした2.2.1rのバイナリ作成 (habu)

リリース時の作業

  1. OSDNのスコア受付を停止 (register_score.php削除) (habu)
  2. score.db、dumps/・screens/以下の前準備からの増加分をmarsへコピー (dis-)
  3. スコアのページの各リンクをmarsへ更新、Alpha5と2.2.1更新版リリース (Deskull)
2021-02-07 17:07 Updated by: habu
Comment

下記ブランチのコミットで、スコア送信先をmarsの本番スコアサーバのURLにしました。

https://osdn.net/projects/hengband/scm/git/hengband/commits/87cbda1ab3b5e364779896b04236fa3198b5bc41

これをマージすれば、準備段階の作業は終了です。

2021-02-07 20:56 Updated by: deskull
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits/50697ffd12bf8e29359341dd57b02e0c5c29a122

マージました。準備段階はこれで完了とします。リリース時の作業を終えるまでは本チケットはまだオープンにしておきます。

2021-02-08 00:43 Updated by: habu
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

リリースに従うスコアサーバ移設が完了しました。

移設後に統計のページが機能していないというトラブルがありましたが、解決しました。 新スコアサーバでのスコア受信・新着スコアのツイート・cronによる当日のスコア一覧のツイートすべて機能しています。

これでチケット完了とします。関係者各位お疲れさまでした。

2021-02-08 06:57 Updated by: deskull
Comment

お疲れ様でした。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login